# Uses of Class
javassist.compiler.ast.ASTList

Packages that use ASTList
Package
Description
javassist.compiler.ast

## Uses of ASTList in javassist.compiler.ast

Subclasses of ASTList in javassist.compiler.ast
Modifier and Type
Class
Description
`class`
`ArrayInit`
Array initializer such as `{ 1, 2, 3 }`.
`class`
`AssignExpr`
Assignment expression.
`class`
`BinExpr`
Binary expression.
`class`
`CallExpr`
Method call expression.
`class`
`CastExpr`
Cast expression.
`class`
`CondExpr`
Conditional expression.
`class`
`Declarator`
Variable declarator.
`class`
`Expr`
Expression.
`class`
`FieldDecl`
`class`
`InstanceOfExpr`
Instanceof expression.
`class`
`MethodDecl`
`class`
`NewExpr`
New Expression.
`class`
`Stmnt`
Statement.
Methods in javassist.compiler.ast that return ASTList
Modifier and Type
Method
Description
`static ASTList`
ASTList.`append(ASTList a, ASTree b)`
Appends an object to a list.
`static ASTList`
ASTList.`concat(ASTList a, ASTList b)`
Concatenates two lists.
`ASTList`
NewExpr.`getArguments()`
`ASTList`
NewExpr.`getArraySize()`
`ASTList`
CastExpr.`getClassName()`
`ASTList`
NewExpr.`getClassName()`
`ASTList`
FieldDecl.`getModifiers()`
`ASTList`
MethodDecl.`getModifiers()`
`ASTList`
MethodDecl.`getParams()`
`ASTList`
MethodDecl.`getThrows()`
`static ASTList`
ASTList.`make(ASTree e1, ASTree e2, ASTree e3)`
`ASTList`
ASTList.`sublist(int nth)`
Returns a sub list of the list.
`ASTList`
ASTList.`tail()`
Returns the cdr part of the list.
Methods in javassist.compiler.ast with parameters of type ASTList
Modifier and Type
Method
Description
`static ASTList`
ASTList.`append(ASTList a, ASTree b)`
Appends an object to a list.
`static String`
Declarator.`astToClassName(ASTList name, char sep)`
`void`
Visitor.`atASTList(ASTList n)`
`static ASTList`
ASTList.`concat(ASTList a, ASTList b)`
Concatenates two lists.
`static int`
ASTList.`length(ASTList list)`
`static NewExpr`
NewExpr.`makeObjectArray(ASTList className, ASTList arraySize, ArrayInit init)`
`void`
ASTList.`setTail(ASTList _tail)`
Constructors in javassist.compiler.ast with parameters of type ASTList
Modifier
Constructor
Description
``
`ASTList(ASTree _head, ASTList _tail)`
``
`CastExpr(ASTList className, int dim, ASTree expr)`
``
`Declarator(ASTList className, int dim)`
``
`FieldDecl(ASTree _head, ASTList _tail)`
``
`InstanceOfExpr(ASTList className, int dim, ASTree expr)`
``
`MethodDecl(ASTree _head, ASTList _tail)`
``
`NewExpr(int type, ASTList arraySize, ArrayInit init)`
``
`NewExpr(ASTList className, ASTList args)`
``
`Stmnt(int op, ASTree _head, ASTList _tail)`